Arnold Clark Caledonia North Region League Division 3 (Men's)
RAF Lossiemouth RFC – Inverness Craig Dunain RFC
5. des. 2026
Plassering i serien
RAF Lossiemouth RFCP 5 · W 4 · D 0 · L 1 · Pts 203 av 12
Inverness Craig Dunain RFCP 4 · W 3 · D 0 · L 1 · Pts 135 av 12
Hele tabellenNylig form
RAF Lossiemouth RFC
- Wmot Huntly RFC118–12
- W@ Dyce RFC105–12
- Wmot Deeside RFC26–22
- Wmot Peterhead RFC94–0
- L@ Aberdeen Wanderers RFC19–70
Inverness Craig Dunain RFC
- Lmot Aberdeen Wanderers RFC5–53
- W@ Turriff RFC55–33
- Wmot Dyce RFC122–12
- Wmot Caithness RFC 2nd XV86–27
Innbyrdes
Ingen tidligere møter i resultatene vi har.
